Skip to main content
GET
/
b2b
/
assets
/
{asset}
/
rates
List Asset Rates
curl --request GET \
  --url https://nexus.kraken.com/b2b/assets/{asset}/rates \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>'
{
  "result": {
    "rates": [
      {
        "timestamp": "2023-03-13T12:34:56Z",
        "price": "1.23"
      }
    ],
    "meta": {
      "page_oldest_rate": {
        "timestamp": "2023-03-13T12:34:56Z",
        "price": "1.23"
      },
      "page_newest_rate": {
        "timestamp": "2023-03-13T12:34:56Z",
        "price": "1.23"
      },
      "page_price_change_value": "1.23",
      "page_price_change_percent": "1.23"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Path Parameters

asset
string
required
Required string length: 3 - 16
Example:

"BTC"

Query Parameters

quote
string
default:USD

If provided, shows values as the provided asset.

Required string length: 3 - 16
Example:

"BTC"

start_time
string<date-time> | null

A RFC 3339 datetime

end_time
string<date-time> | null

A RFC 3339 datetime

interval
string<duration> | null

If provided, shows the history of the asset in the given interval.

Should be in the format of an [ISO 8601 duration].

Supported resolutions: 1min, 5min, 15min, 30min, 60min, 4H, 1D, 7D, 15D

Response

Response

result
object